<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

foreach(arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']) as $producto) {
		
	if($_POST['busqueda']) {
		$pos1 = strpos(mb_strtoupper($producto['Descripcion'],'UTF-8'),mb_strtoupper($_POST['busqueda'],'UTF-8'));
		$pos2 = strpos(mb_strtoupper($producto['Codigo'],'UTF-8'),mb_strtoupper($_POST['busqueda'],'UTF-8'));
		if ($pos1 !== false || $pos2 !== false) $coincidencia=true; else $coincidencia=false;
	}
	else if($producto['Codigo']==$_POST['codigo']) $coincidencia=true; else $coincidencia=false;
	
	//Si ya está preparado, no se ofrece el producto
	if($producto['Cantidad']==$producto['Preparado']) $coincidencia=false;
				
	if($coincidencia) break;
}

if($coincidencia) {

	$_SESSION['lineaOrden']=$producto; //Guardamos la linea para utilizarla después en la inyeccion
	
	$resultado=$producto['Codigo']."#".$producto['Descripcion']."#".$producto['ComentariosComercial']."#".$producto['ControlLotes']."#".$producto['Cantidad']."#".$producto['Preparado']."#".$producto['Cajas'];
	
	$parametros='';
	$datos=arreglaArrayPXMobileProxiumResult($producto['Datos']);
		
	foreach($_SESSION['comportamientosGlobales'] as $comportamiento) {
		foreach($datos as $dato) if($dato['Codigo']==$comportamiento['Codigo']) { $parametros.='#'.$dato['Valor']; break; }
	}
	
	$otrosDatos=arreglaArrayPXMobileProxiumResult($producto['OtrosDatos']);
	if(count($otrosDatos)>1){ // >1 porque el ws siempre devuelve, al menos, el mismo lote
		$otrosLotes='#OTROSLOTES';
		foreach($otrosDatos as $dato) if($dato['Codigo']=='LT') $otrosLotes.=';'.$dato['Valor'];
	}
	
	echo $resultado.$parametros.$otrosLotes;
}
else echo "error";

?>